# Conditions (ACF (Core) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands.annotation, annotation type: Conditions

Package co.aikar.commands.annotation

# Annotation Type Conditions

@Retention(RUNTIME) @Target({METHOD,PARAMETER,TYPE,ANNOTATION_TYPE}) public @interface Conditions
Specifies conditions that must be met in order to execute this command. If used on a method or a class, will be checked before parameter context is resolved If used on a parameter, will be checked after the context is resolved

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`String`
`value`

## Element Details

### value

String value